[Testing Update] 2018-01-18 - Kernels, Systemd, Pamac, KDE FW, Haskell, Python

update
testing

#1

Hi community,

upstream worked again on the Spectre and Meltdown matter and added Retpoline patches (v4.4, v4.9, v4.14, v4.15). Our GCC compiler is still in need for those patches aswell. We also updated Systemd to the lastest available version, added some needed fixes to Pamac, added KDE Framework v5.42, plus the usual Haskell and Python upgrades.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.92 [EOL]
  • linux41 4.1.48
  • linux44 4.4.112
  • linux49 4.9.77
  • linux412 4.12.14 [EOL]
  • linux413 4.13.16 [EOL]
  • linux414 4.14.14
  • linux415 4.15-rc8
  • linux-RT-LTS 4.9.76_rt61
  • linux-RT 4.11.12_rt16

Package Updates (Thu Jan 18 20:03:14 CET 2018)

  • testing community x86_64: 328 new and 321 removed package(s)
  • testing core x86_64: 11 new and 11 removed package(s)
  • testing extra x86_64: 166 new and 166 removed package(s)
  • testing multilib x86_64: 2 new and 3 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
               deepin-control-center            4.3.7-1.1                    -
                 deepin-desktop-base         1:20171027-1         1:20180117-1
                               hyper   1:2.0.0.canary.8-1   1:2.0.0.canary.9-1
                linux-rt-lts-manjaro        4.9.68_rt60-1        4.9.76_rt61-1
      linux-rt-lts-manjaro-acpi_call             1.1.0-31             1.1.0-32
       linux-rt-lts-manjaro-bbswitch               0.8-31               0.8-32
    linux-rt-lts-manjaro-broadcom-wl      6.30.223.271-18      6.30.223.271-19
       linux-rt-lts-manjaro-catalyst     1:15.201.1151-31     1:15.201.1151-32
        linux-rt-lts-manjaro-headers        4.9.68_rt60-1        4.9.76_rt61-1
    linux-rt-lts-manjaro-ndiswrapper              1.61-17              1.61-18
         linux-rt-lts-manjaro-nvidia          1:384.111-1          1:384.111-2
   linux-rt-lts-manjaro-nvidia-304xx          1:304.137-5          1:304.137-6
   linux-rt-lts-manjaro-nvidia-340xx            340.104-5            340.104-6
       linux-rt-lts-manjaro-nvidiabl              0.88-38              0.88-39
          linux-rt-lts-manjaro-r8168          8.044.02-11          8.044.02-12
      linux-rt-lts-manjaro-rt3562sta        2.4.1.1_r4-17        2.4.1.1_r4-18
       linux-rt-lts-manjaro-tp_smapi              0.41-31              0.41-32
    linux-rt-lts-manjaro-vhba-module          20161009-17          20161009-18
linux-rt-lts-manjaro-virtualbox-guest-modules     5.2.2-4              5.2.4-2
linux-rt-lts-manjaro-virtualbox-host-modules       .2.2-4              5.2.4-2
         manjaro-webdad-settings-git         r7.5355d91-1        r14.bd53221-1
                        palemoon-bin             27.6.2-1             27.7.0-1
                               snapd               2.30-2               2.30-3
                       snapd-git 2.30.r589.ga5273fe2b-1 2.30.r683.g1c1950c37-1
                   webdad-speech-git         r2.5a18352-1         r3.b92ccf4-1
                  webdad-theming-git         r3.8d967a3-1         r5.d4aea9d-1
               webdad-workspaces-git         r1.6ff36cd-1         r3.eea0a7d-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
                activity-log-manager              0.9.7-5              0.9.7-6
                                agda              2.5.3-7              2.5.3-8
                             aws-cli            1.14.23-1            1.14.26-1
                            bashburn              3.1.0-3              3.1.0-4
                          browserify             15.1.0-2             15.2.0-1
                       cabal-install            2.0.0.1-3            2.0.0.1-4
                             cblrepo            0.24.0-50            0.24.0-52
                                ceph             12.2.2-3             12.2.2-4
                           ceph-libs             12.2.2-3             12.2.2-4
                             certbot             0.20.0-1             0.21.0-1
                      certbot-apache             0.20.0-1             0.21.0-1
              certbot-dns-cloudflare             0.20.0-1             0.21.0-1
                certbot-dns-cloudxns             0.20.0-1             0.21.0-1
            certbot-dns-digitalocean             0.20.0-1             0.21.0-1
                certbot-dns-dnsimple             0.20.0-1             0.21.0-1
             certbot-dns-dnsmadeeasy             0.20.0-1             0.21.0-1
                  certbot-dns-google             0.20.0-1             0.21.0-1
                  certbot-dns-luadns             0.20.0-1             0.21.0-1
                   certbot-dns-nsone             0.20.0-1             0.21.0-1
                 certbot-dns-rfc2136             0.20.0-1             0.21.0-1
                 certbot-dns-route53             0.20.0-1             0.21.0-1
                       certbot-nginx             0.20.0-1             0.21.0-1
                             clojure              1.9.0-2              1.9.0-3
                            cppcheck               1.81-1               1.82-1
                             cryptol             2.5.0-13             2.5.0-14
                               darcs   2.12.5.20170909-20   2.12.5.20170909-22
               deepin-control-center              4.3.7-1              4.3.7-2
                        deepin-movie          1:3.2.0.2-1          1:3.2.0.3-1
                       dwarffortress            0.44.04-1            0.44.05-1
                            ejabberd              17.12-1              18.01-1
                              embree             2.17.1-1             2.17.2-1
                               fbida               2.13-2               2.14-1
                               flite              2.0.0-3                2.1-1
                                 gap              4.8.9-2             4.8.10-1
                            gap-data              4.8.9-2             4.8.10-1
                             gap-doc              4.8.9-2             4.8.10-1
                        gap-packages              4.8.9-2             4.8.10-1
                           git-annex         6.20180112-3        6.20180112-15
                          git-repair        1.20170626-12        1.20170626-13
                              gitlab             10.3.3-1             10.3.4-1
                        gnustep-base             1.25.0-4                    -
                         gnustep-gui             0.25.1-4                    -
                        gnustep-make              2.7.0-2                    -
                     gottengeography                2.5-4                2.5-5
                               gsoap             2.8.59-1             2.8.60-1
                haskell-authenticate             1.3.4-12             1.3.4-18
                         haskell-aws              0.18-17              0.18-23
              haskell-binary-conduit             1.2.5-10             1.2.5-11
                  haskell-blaze-html            0.9.0.1-5            0.9.0.1-6
                haskell-blaze-markup            0.8.0.0-5            0.8.2.0-1
                       haskell-brick             0.32.1-3             0.32.1-4
                  haskell-cheapskate             0.1.1-21             0.1.1-25
                haskell-chunked-data             0.3.0-11              0.3.1-1
                     haskell-conduit             1.2.13-2             1.2.13-3
         haskell-conduit-combinators             1.1.2-10             1.1.2-15
               haskell-conduit-extra            1.2.3.2-4            1.2.3.2-6
                  haskell-configfile              1.1.4-3              1.1.4-4
                  haskell-connection             0.2.8-37             0.2.8-38
                   haskell-criterion            1.3.0.0-2            1.3.0.0-3
          haskell-cryptohash-conduit            0.1.1-123            0.1.1-125
          haskell-cryptonite-conduit             0.2.2-16             0.2.2-18
                  haskell-data-dword            0.3.1.1-8            0.3.1.2-1
                         haskell-dav            1.3.1-188            1.3.1-194
                        haskell-dbus            0.10.14-1            0.10.15-1
                         haskell-dns             3.0.0-15             3.0.0-17
                haskell-doctemplates              0.2.1-4              0.2.1-5
                   haskell-esqueleto             2.5.3-39             2.5.3-43
                  haskell-fdo-notify             0.3.1-19             0.3.1-21
                        haskell-feed           1.0.0.0-15           1.0.0.0-20
                       haskell-gauge              0.2.0-2              0.2.1-1
                        haskell-glob             0.7.14-6              0.9.1-1
            haskell-hackage-security           0.5.2.2-10           0.5.2.2-11
                      haskell-hakyll          4.10.0.0-24          4.10.0.0-34
                       haskell-hasql              1.1.1-7              1.1.1-8
                  haskell-hasql-pool              0.4.3-7              0.4.3-8
           haskell-hasql-transaction              0.5.2-7              0.5.2-8
                    haskell-hedgehog              0.5.1-9             0.5.1-10
                 haskell-hjsonschema              1.7.1-4              1.7.2-2
                 haskell-hledger-lib                1.5-4                1.5-5
                    haskell-hopenpgp            2.5.5-140            2.5.5-142
                       haskell-hpack             0.21.2-9            0.21.2-13
                    haskell-hslogger             1.2.10-7             1.2.10-8
            haskell-hspec-smallcheck             0.4.2-21              0.5.0-1
                   haskell-hspec-wai             0.9.0-10             0.9.0-13
              haskell-hspec-wai-json             0.9.0-11             0.9.0-14
                haskell-html-conduit            1.2.1.2-4            1.2.1.2-9
                        haskell-http           4000.3.9-2           4000.3.9-4
                 haskell-http-client            0.5.7.1-3              0.5.8-1
             haskell-http-client-tls           0.3.5.1-29           0.3.5.1-31
                haskell-http-conduit             2.2.4-13             2.2.4-16
                  haskell-httpd-shed            0.4.0.3-2            0.4.0.3-3
                     haskell-iproute              1.7.1-6              1.7.1-7
                      haskell-libmpd            0.9.0.7-4            0.9.0.7-5
                    haskell-listlike             4.5.1-11                4.6-1
          haskell-microlens-platform            0.3.9.0-9           0.3.9.0-10
                haskell-microlens-th            0.4.1.1-7            0.4.1.3-1
                    haskell-missingh           1.4.0.1-12           1.4.0.1-13
                haskell-monad-logger            0.3.26-10             0.3.28-2
            haskell-mono-traversable            1.0.7.0-1            1.0.8.1-1
                     haskell-network            2.6.3.2-5            2.6.3.3-1
                  haskell-network-ip           0.3.0.2-12           0.3.0.2-13
           haskell-network-multicast              0.2.0-6              0.2.0-7
       haskell-network-protocol-xmpp             0.4.8-13             0.4.8-14
                  haskell-persistent             2.7.3-10             2.7.3-14
           haskell-persistent-sqlite             2.6.4-16             2.6.4-21
         haskell-persistent-template             2.5.3-19             2.5.3-23
                  haskell-pipes-http             1.0.5-74             1.0.5-76
           haskell-postgresql-binary            0.12.1-40            0.12.1-41
              haskell-process-extras             0.7.2-10             0.7.2-12
            haskell-project-template             0.2.0-88            0.2.0.1-1
                   haskell-protolude                0.2-5              0.2.1-1
                   haskell-resourcet             1.1.10-2             1.1.11-1
                       haskell-sandi              0.4.1-9             0.4.1-10
                         haskell-sbv                7.4-4                7.5-1
              haskell-servant-server              0.12-22              0.12-26
             haskell-servant-swagger             1.1.4-15             1.1.4-16
                 haskell-shakespeare           2.0.14.1-3           2.0.14.1-4
             haskell-simple-sendfile             0.2.26-1             0.2.26-2
                 haskell-skylighting            0.5.0.1-3            0.5.0.1-4
                       haskell-socks              0.5.6-1              0.5.6-2
                       haskell-store           0.4.3.2-31           0.4.3.2-36
           haskell-streaming-commons             0.1.18-6             0.1.18-7
                    haskell-swagger2                2.2-6                2.2-7
           haskell-tagstream-conduit          0.5.5.3-108          0.5.5.3-113
                         haskell-tls             1.4.0-15             1.4.0-16
         haskell-tls-session-manager            0.0.0.2-5            0.0.0.2-6
                    haskell-trifecta           1.7.1.1-20           1.7.1.1-21
                   haskell-unixutils            1.54.1-17            1.54.1-19
                         haskell-vty             5.19.1-3             5.19.1-4
                         haskell-wai           3.2.1.1-22           3.2.1.1-23
              haskell-wai-app-static          3.1.6.1-120          3.1.6.1-124
                 haskell-wai-conduit            3.0.0.3-5            3.0.0.3-7
                    haskell-wai-cors              0.2.6-3              0.2.6-4
                   haskell-wai-extra           3.0.21.0-5           3.0.22.0-1
          haskell-wai-handler-launch            3.0.2.3-7            3.0.2.3-8
                  haskell-wai-logger              2.3.1-1              2.3.1-2
       haskell-wai-middleware-static             0.8.1-15             0.8.1-16
              haskell-wai-websockets           3.0.1.1-37           3.0.1.1-38
                        haskell-warp            3.2.13-13            3.2.13-14
                    haskell-warp-tls             3.2.4-34             3.2.4-35
                  haskell-websockets           0.12.3.1-2           0.12.3.1-3
                 haskell-xml-conduit            1.7.0.1-5            1.7.1.2-1
                  haskell-xml-hamlet           0.4.1.1-16           0.4.1.1-21
                        haskell-yaml           0.8.25.1-4             0.8.28-1
                       haskell-yesod            1.4.5-150            1.4.5-157
                  haskell-yesod-auth            1.4.21-27            1.4.21-35
                  haskell-yesod-core          1.4.37.2-21          1.4.37.2-26
               haskell-yesod-default            1.2.0-224            1.2.0-229
                  haskell-yesod-form            1.4.16-47            1.4.16-52
            haskell-yesod-persistent             1.4.3-29             1.4.3-34
                haskell-yesod-static           1.5.3.1-56           1.5.3.1-61
                  haskell-yesod-test           1.5.9.1-10           1.5.9.1-17
                                hdf5             1.10.1-1             1.10.1-2
                        hdf5-openmpi             1.10.1-2             1.10.1-3
                             hindent           5.2.4.1-11           5.2.4.1-14
                             hledger                1.5-5                1.5-6
                         hledger-api               1.5-14               1.5-19
                          hledger-ui                1.5-8               1.5-10
                         hledger-web               1.5-11               1.5-19
                               hlint            2.0.11-12            2.0.11-15
                              hoogle            5.0.14-27            5.0.14-32
                      hopenpgp-tools            0.19.5-41            0.19.5-46
                               idris              1.2.0-3              1.2.0-7
                              imdbpy                5.1-1                    -
                                 inn              2.6.1-5              2.6.1-6
                                inxi             2.3.55-1             2.3.56-1
                                jmol            14.27.2-1            14.28.2-1
                           kcheckers             0.8.1-10             0.8.1-11
                          kdeconnect                1.2-1              1.2.1-1
                                kim4              0.9.5-6              0.9.5-7
                            libffado              2.4.0-2              2.4.0-3
                              libgap              4.8.6-5              4.8.6-6
                                mpfi              1.5.2-1              1.5.3-1
                     mysql-workbench             6.3.10-1             6.3.10-2
                  nextcloud-app-mail              0.7.7-1              0.7.8-1
               nginx-mod-modsecurity           20170403-3            1:1.0.0-1
                                nrpe              3.2.1-2              3.2.1-3
                              oolite               1.86-2                    -
                               opera       50.0.2762.45-1       50.0.2762.58-1
                 opera-ffmpeg-codecs      63.0.3239.108-1      63.0.3239.132-1
                      packagekit-qt5              1.0.0-2              1.0.1-1
                              pandoc             2.0.6-10             2.0.6-17
                     pandoc-citeproc           0.12.2.5-9          0.12.2.5-18
                     pandoc-crossref           0.3.0.0-17            0.3.0.1-5
                  papirus-icon-theme           20171223-1           20180116-1
       perl-datetime-format-strptime               1.73-3               1.75-1
                     perl-email-mime              1.940-2              1.946-2
         perl-email-mime-contenttype              1.018-2              1.022-1
                 perl-list-someutils               0.53-3               0.56-1
                         perl-specio               0.36-2               0.42-1
                      perl-text-diff               1.44-2               1.45-1
                   perl-yaml-libyaml               0.64-4               0.69-1
                               php71             7.1.13-2             7.1.13-3
                        php71-apache             7.1.13-2             7.1.13-3
                           php71-cgi             7.1.13-2             7.1.13-3
                         php71-dblib             7.1.13-2             7.1.13-3
                         php71-embed             7.1.13-2             7.1.13-3
                       php71-enchant             7.1.13-2             7.1.13-3
                           php71-fpm             7.1.13-2             7.1.13-3
                            php71-gd             7.1.13-2             7.1.13-3
                          php71-imap             7.1.13-2             7.1.13-3
                          php71-intl             7.1.13-2             7.1.13-3
                        php71-mcrypt             7.1.13-2             7.1.13-3
                          php71-odbc             7.1.13-2             7.1.13-3
                         php71-pgsql             7.1.13-2             7.1.13-3
                        php71-phpdbg             7.1.13-2             7.1.13-3
                        php71-pspell             7.1.13-2             7.1.13-3
                          php71-snmp             7.1.13-2             7.1.13-3
                        php71-sqlite             7.1.13-2             7.1.13-3
                          php71-tidy             7.1.13-2             7.1.13-3
                           php71-xsl             7.1.13-2             7.1.13-3
                          phpmyadmin              4.7.7-1              4.7.7-2
                              pifpaf              2.0.0-1              2.0.1-1
                             postgis              2.4.2-2              2.4.3-1
                           postgrest            0.4.4.0-2            0.4.4.0-7
                            psi-plus            1.2.154-1            1.2.164-1
                         python-acme             0.20.0-1             0.21.0-1
                        python-boto3             1.5.14-1             1.5.18-1
                     python-botocore             1.8.27-1             1.8.32-1
                        python-faker              0.8.9-1             0.8.10-1
                     python-markdown              2.6.9-1             2.6.11-1
                   python-novaclient              9.1.1-1             10.0.0-1
             python-oslo-concurrency             3.24.0-1             3.25.0-1
                   python-oslo-utils             3.34.0-1             3.35.0-1
                        python-pecan              1.2.1-3              1.2.1-4
                         python-pyro               4.63-1               4.63-2
                      python-pytorch              0.3.0-4              0.3.0-5
                 python-pytorch-cuda              0.3.0-4              0.3.0-5
                         python-rpy2              2.9.1-1              2.9.2-1
                    python-softlayer              5.3.2-1              5.4.0-1
                   python-sqlalchemy              1.2.0-1              1.2.1-1
                python-uncertainties              3.0.1-2              3.0.2-1
                     python-werkzeug               0.13-1               0.14-1
                        python2-acme             0.20.0-1             0.21.0-1
                       python2-faker              0.8.9-1             0.8.10-1
                    python2-markdown              2.6.9-1             2.6.11-1
                  python2-novaclient              9.1.1-1             10.0.0-1
            python2-oslo-concurrency             3.24.0-1             3.25.0-1
                  python2-oslo-utils             3.34.0-1             3.35.0-1
                       python2-pecan              1.2.1-3              1.2.1-4
                      python2-pifpaf              2.0.0-1              2.0.1-1
                        python2-pyro               4.63-1               4.63-2
                     python2-pytorch              0.3.0-4              0.3.0-5
                python2-pytorch-cuda              0.3.0-4              0.3.0-5
                   python2-softlayer              5.3.2-1              5.4.0-1
                  python2-sqlalchemy              1.2.0-1              1.2.1-1
               python2-uncertainties              3.0.1-2              3.0.2-1
                    python2-werkzeug               0.13-1               0.14-1
                                 qiv              2.3.1-2              2.3.2-1
                            qpdfview        0.4.17beta1-4        0.4.17beta1-5
                              qt5pas         2.6.r54980-1         2.6.r57057-1
                              qtspim             9.1.20-1             9.1.20-2
                      quassel-client             0.12.4-3             0.12.4-4
                quassel-client-small             0.12.4-3             0.12.4-4
                        quassel-core             0.12.4-3             0.12.4-4
                  quassel-monolithic             0.12.4-3             0.12.4-4
                            qupzilla              2.2.3-2              2.2.4-1
                         qutebrowser              1.0.4-1              1.1.0-1
                       roundcubemail              1.3.3-2              1.3.4-1
                            rubinius               3.90-1               3.92-1
                       rubinius-ruby               3.90-1               3.92-1
                              semver              5.4.1-1              5.5.0-1
                      sensors-applet             3.0.0-11  3.0.0+13+g0728426-1
                   shadowsocks-libev              3.1.2-1              3.1.3-1
                simplescreenrecorder              0.3.8-1              0.3.9-1
                              smtube             17.5.0-2             18.1.0-1
                               stack             1.6.3-23             1.6.3-36
                     stylish-haskell           0.8.1.0-32           0.8.1.0-35
                          supervisor              3.3.2-1              3.3.3-1
                          swi-prolog              7.6.3-1              7.6.4-1
                      tamarin-prover             1.2.2-55             1.2.2-60
                    telegram-desktop              1.2.6-4              1.2.6-5
                             tellico                3.1-3              3.1.1-1
                   timidity-freepats           20060219-7           20170822-1
                                 tor            0.3.1.9-1            0.3.1.9-2
                               udpxy           1.0.23.9-1          1.0.23.12-1
                         vapoursynth                R40-2              R42.1-1
                               vault              0.9.0-4              0.9.1-1
                  vim-airline-themes      r1230.793ce66-1      r1279.4b7f77e-1
                          virtualbox              5.2.4-1              5.2.6-1
                  virtualbox-ext-vnc              5.2.4-1              5.2.6-1
               virtualbox-guest-dkms              5.2.4-1              5.2.6-1
                virtualbox-guest-iso              5.2.4-1              5.2.6-1
              virtualbox-guest-utils              5.2.4-1              5.2.6-1
          virtualbox-guest-utils-nox              5.2.4-1              5.2.6-1
                virtualbox-host-dkms              5.2.4-1              5.2.6-1
                      virtualbox-sdk              5.2.4-1              5.2.6-1
                          wanderlust           20171025-1           20180116-1
            xfce4-whiskermenu-plugin              1.7.4-1              1.7.5-1
                              xmobar            0.24.5-12            0.24.5-14
             yubikey-personalization             1.18.0-3             1.18.1-1
         yubikey-personalization-gui             3.1.24-4             3.1.25-1
                               zcash             1.0.13-2             1.0.14-1
                  zeitgeist-explorer                0.2-4                0.2-5
                              libaec                    -              1.0.2-1
                              ospray                    -              1.4.3-1
                            paraview                    -              5.4.1-1
               perl-email-address-xs                    -               1.01-1
                          php71-apcu                    -              5.1.8-2
                       python-imdbpy                    -                6.2-2
                       python-josepy                    -              1.0.1-2
                      python-serpent                    -               1.23-2
                      python2-josepy                    -              1.0.1-2
                     python2-serpent                    -               1.23-2
                        ruby-msgpack                    -              1.2.2-1
                 sugar-activity-read                    -                119-1
                            xss-lock                    -              0.3.0-3


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
                            linux318            3.18.91-1            3.18.92-1
                    linux318-headers            3.18.91-1            3.18.92-1
                            linux414            4.14.13-1            4.14.14-1
                    linux414-headers            4.14.13-1            4.14.14-1
                             linux44            4.4.111-1            4.4.112-1
                     linux44-headers            4.4.111-1            4.4.112-1
                             linux49             4.9.76-1             4.9.77-1
                     linux49-headers             4.9.76-1             4.9.77-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
                          libsystemd             236.80-1             236.81-1
                             systemd             236.80-1             236.81-1
                  systemd-sysvcompat             236.80-1             236.81-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
         grub-theme-live-manjaro-dev             17.1.1-3             17.1.1-4
              grub-theme-manjaro-dev             17.1.1-3             17.1.1-4
                  linux414-acpi_call             1.1.0-12             1.1.0-13
                   linux414-bbswitch               0.8-12               0.8-13
                linux414-broadcom-wl      6.30.223.271-12      6.30.223.271-13
                   linux414-catalyst     1:15.201.1151-12     1:15.201.1151-13
                linux414-ndiswrapper              1.61-12              1.61-13
                     linux414-nvidia          1:384.111-2          1:384.111-3
               linux414-nvidia-304xx         1:304.137-12         1:304.137-13
               linux414-nvidia-340xx           340.104-12           340.104-13
                   linux414-nvidiabl              0.88-12              0.88-13
                      linux414-r8168          8.044.02-12          8.044.02-13
                  linux414-rt3562sta        2.4.1.1_r4-12        2.4.1.1_r4-13
                        linux414-spl              0.7.5-2              0.7.5-3
                   linux414-tp_smapi              0.41-12              0.41-13
                linux414-vhba-module          20161009-12          20161009-13
   linux414-virtualbox-guest-modules              5.2.4-5              5.2.4-6
    linux414-virtualbox-host-modules              5.2.4-5              5.2.4-6
                        linux414-zfs              0.7.5-2              0.7.5-3
                   linux44-acpi_call             1.1.0-78             1.1.0-79
                    linux44-bbswitch               0.8-78               0.8-79
                 linux44-broadcom-wl      6.30.223.271-48      6.30.223.271-49
                    linux44-catalyst     1:15.201.1151-78     1:15.201.1151-79
                 linux44-ndiswrapper              1.61-46              1.61-47
                      linux44-nvidia          1:384.111-2          1:384.111-3
                linux44-nvidia-304xx         1:304.137-13         1:304.137-14
                linux44-nvidia-340xx           340.104-19           340.104-20
                    linux44-nvidiabl              0.88-78              0.88-79
       linux44-open-vm-tools-modules      2:2013.09.16-78      2:2013.09.16-79
                       linux44-r8168          8.044.02-32          8.044.02-33
                   linux44-rt3562sta        2.4.1.1_r4-46        2.4.1.1_r4-47
                         linux44-spl              0.7.5-2              0.7.5-3
                    linux44-tp_smapi              0.41-78              0.41-79
                 linux44-vhba-module          20161009-46          20161009-47
    linux44-virtualbox-guest-modules              5.2.4-5              5.2.4-6
     linux44-virtualbox-host-modules              5.2.4-5              5.2.4-6
                         linux44-zfs              0.7.5-2              0.7.5-3
                   linux49-acpi_call             1.1.0-60             1.1.0-61
                    linux49-bbswitch               0.8-60               0.8-61
                 linux49-broadcom-wl      6.30.223.271-60      6.30.223.271-61
                    linux49-catalyst     1:15.201.1151-60     1:15.201.1151-61
                 linux49-ndiswrapper              1.61-58              1.61-59
                      linux49-nvidia          1:384.111-2          1:384.111-3
                linux49-nvidia-304xx         1:304.137-19         1:304.137-20
                linux49-nvidia-340xx           340.104-19           340.104-20
                    linux49-nvidiabl              0.88-60              0.88-61
                       linux49-r8168          8.044.02-40          8.044.02-41
                   linux49-rt3562sta        2.4.1.1_r4-58        2.4.1.1_r4-59
                         linux49-spl              0.7.5-2              0.7.5-3
                    linux49-tp_smapi              0.41-60              0.41-61
                 linux49-vhba-module          20161009-58          20161009-59
    linux49-virtualbox-guest-modules              5.2.4-5              5.2.4-6
     linux49-virtualbox-host-modules              5.2.4-5              5.2.4-6
                         linux49-zfs              0.7.5-2              0.7.5-3
                               pamac              6.2.2-4              6.2.2-5
             pamac-tray-appindicator              6.2.2-4              6.2.2-5


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
                              antlr4                4.6-1              4.7.1-1
                              ardour                5.9-2               5.12-2
                          attica-qt5             5.41.0-1             5.42.0-1
                               baloo             5.41.0-1             5.42.0-1
                                bind             9.11.2-3          9.11.2.P1-1
                          bind-tools             9.11.2-3          9.11.2.P1-1
                            bluez-qt             5.41.0-1             5.42.0-1
                        breeze-icons             5.41.0-1             5.42.0-1
                              cantor            17.12.1-1            17.12.1-2
                            composer              1.6.1-1              1.6.2-1
                            discover             5.11.5-3             5.11.5-4
                 extra-cmake-modules             5.41.0-1             5.42.0-1
                             fluxbox              1.3.7-2              1.3.7-3
                frameworkintegration             5.41.0-2             5.42.0-1
                               irssi              1.0.6-1              1.1.0-1
                         kactivities             5.41.0-1             5.42.0-1
                   kactivities-stats             5.41.0-1             5.42.0-1
                             kapidox             5.41.0-1             5.42.0-1
                            karchive             5.41.0-1             5.42.0-1
                               kauth             5.41.0-1             5.42.0-1
                          kbookmarks             5.41.0-1             5.42.0-1
                            kcmutils             5.41.0-1             5.42.0-1
                             kcodecs             5.41.0-1             5.42.0-1
                         kcompletion             5.41.0-1             5.42.0-1
                             kconfig             5.41.0-1             5.42.0-1
                      kconfigwidgets             5.41.0-1             5.42.0-1
                         kcoreaddons             5.41.0-1             5.42.0-1
                              kcrash             5.41.0-1             5.42.0-1
                         kdbusaddons             5.41.0-1             5.42.0-1
                        kdeclarative             5.41.0-1             5.42.0-1
                                kded             5.41.0-1             5.42.0-1
                     kdelibs4support             5.41.0-1             5.42.0-1
                     kdesignerplugin             5.41.0-1             5.42.0-1
                               kdesu             5.41.0-1             5.42.0-1
                            kdevelop              5.2.1-1              5.2.1-2
                           kdewebkit             5.41.0-1             5.42.0-1
                              kdnssd             5.41.0-1             5.42.0-1
                           kdoctools             5.41.0-1             5.42.0-1
                          kemoticons             5.41.0-1             5.42.0-1
                       kfilemetadata             5.41.0-1             5.42.0-1
                        kglobalaccel             5.41.0-1             5.42.0-1
                          kguiaddons             5.41.0-1             5.42.0-1
                               khtml             5.41.0-1             5.42.0-1
                               ki18n             5.41.0-1             5.42.0-1
                         kiconthemes             5.41.0-1             5.42.0-1
                           kidletime             5.41.0-1             5.42.0-1
                       kimageformats             5.41.0-1             5.42.0-1
                               kinit             5.41.0-1             5.42.0-1
                                 kio             5.41.0-2             5.42.0-1
                           kirigami2             5.41.0-1             5.42.0-1
                         kitemmodels             5.41.0-1             5.42.0-1
                          kitemviews             5.41.0-1             5.42.0-1
                         kjobwidgets             5.41.0-1             5.42.0-1
                                 kjs             5.41.0-1             5.42.0-1
                            kjsembed             5.41.0-1             5.42.0-1
                        kmediaplayer             5.41.0-1             5.42.0-1
                           knewstuff             5.41.0-1             5.42.0-1
                      knotifications             5.41.0-1             5.42.0-1
                       knotifyconfig             5.41.0-1             5.42.0-1
                            kpackage             5.41.0-1             5.42.0-1
                              kparts             5.41.0-1             5.42.0-1
                             kpeople             5.41.0-1             5.42.0-1
                           kplotting             5.41.0-1             5.42.0-1
                                kpty             5.41.0-1             5.42.0-1
                               kross             5.41.0-1             5.42.0-1
                             krunner             5.41.0-1             5.42.0-1
                            kservice             5.41.0-1             5.42.0-1
                         ktexteditor             5.41.0-1             5.42.0-1
                        ktextwidgets             5.41.0-1             5.42.0-1
                           kuiserver             5.11.5-1             5.11.5-2
                     kunitconversion             5.41.0-1             5.42.0-1
                             kwallet             5.41.0-1             5.42.0-1
                            kwayland             5.41.0-1             5.42.0-1
                      kwidgetsaddons             5.41.0-1             5.42.1-1
                       kwindowsystem             5.41.0-1             5.42.0-1
                             kxmlgui             5.41.0-1             5.42.0-1
                       kxmlrpcclient             5.41.0-1             5.42.0-1
                          libisoburn              1.4.8-1              1.4.8-2
                               liblo             1:0.28-1             1:0.29-1
                        libqalculate              2.2.0-1              2.2.1-1
                               libuv             1.18.0-1             1.19.0-2
                      mkvtoolnix-cli             19.0.0-2             20.0.0-1
                      mkvtoolnix-gui             19.0.0-2             20.0.0-1
                                 mlt              6.4.1-8              6.4.1-9
                 mlt-python-bindings              6.4.1-8              6.4.1-9
                     modemmanager-qt             5.41.0-1             5.42.0-1
                   networkmanager-qt             5.41.0-1             5.42.0-1
                                ovmf1:r21243.3858b4a1ff-11:r23112.018432f0ce-1
                        oxygen-icons           1:5.41.0-1           1:5.42.0-1
                    oxygen-icons-svg           1:5.41.0-1           1:5.42.0-1
                            php-apcu              5.1.8-2              5.1.9-1
                    plasma-framework             5.41.0-1             5.42.0-1
              plasma-wayland-session             5.11.5-1             5.11.5-2
                    plasma-workspace             5.11.5-1             5.11.5-2
                              prison             5.41.0-1             5.42.0-1
                       qalculate-gtk              2.2.0-1              2.2.1-1
                  qqc2-desktop-style             5.41.0-1             5.42.0-1
                            qt5-base             5.10.0-2             5.10.0-3
                         qt5-wayland             5.10.0-1             5.10.0-2
                       qt5-webengine             5.10.0-2             5.10.0-3
             qt5-xcb-private-headers             5.10.0-2             5.10.0-3
                           quodlibet              4.0.1-1              4.0.2-1
                               solid             5.41.0-1             5.42.0-1
                              sonnet             5.41.0-1             5.42.0-1
                                step            17.12.1-1            17.12.1-2
                 syntax-highlighting             5.41.0-1             5.42.0-1
                        threadweaver             5.41.0-1             5.42.0-1
                    transmission-cli               2.92-7               2.92-8
                    transmission-gtk               2.92-7               2.92-8
                     transmission-qt               2.92-7               2.92-8


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
                       lib32-systemd             236.80-0                    -


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
          lib32-simplescreenrecorder              0.3.8-1              0.3.9-1
                       lib32-systemd              236.0-1             236.81-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


Kernel Page-Table Isolation (KPTI) - severe ARM + Intel CPU bug, hits partly AMD
#2

Known issues and solutions

This is a wiki post; please edit as necessary


My rtl8723be wifi card stopped working

You may need to specify (or switch) the antenna selection via the ant_sel driver option, e.g.:

echo "options rtl8723be ant_sel=2" | sudo tee /etc/modprobe.d/50-rtl8723be.conf

If you already have an driver options file try switching the option between 0, 1, and 2.


Network connection is unreliable, not working, or not connecting

Occasionally, Network Manager updates change the underlying settings structure (schemas). This can change or break existing settings without you knowing about it.

This can be fixed by removing the existing connection settings, and then re-adding the connection. You may also need to reboot. If this does not work, move to the next point.


networkmanager 1.10.2-1 does not get an IP address

For some configurations, Network Manager tries to use its internal DHCP client which appears to be incompatible with some wireless access points. This shows up as a timeout during the connection attempt.

To switch back to the previous behaviour of 1.10.0, run the following from a terminal:

echo -e "[main]\ndhcp=dhclient" | sudo tee /etc/NetworkManager/conf.d/dhclient.conf

The creates a file which sets Network Manager to use the stand-alone dhclient program, as it did before. If this still doesn’t work (e.g. after a reboot), there’s the option of downgrading (see the next point).


networkmanager 1.10.2-1 does not auto-connect to WLAN (KDE)

If you find that your WLAN does not auto connect even if the entry is ticked to do so, you can downgrade the Network Manager package. Before doing so, please check the points above.

It’s possible to downgrade to the working build:

sudo pacman -U https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.10.0-1-x86_64.pkg.tar.xz

You’ll also need to temporarily ignore the package in /etc/pacman.conf

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg   = networkmanager
#IgnoreGroup =

Don’t forget to reverse this ignore setting as and when a networkmanager fix is announced and released to stable.

Also, have a look at Network Manager MegaThread .


Cannot update nautilus-admin

error: failed to prepare transaction (could not satisfy dependencies)
:: nautilus-admin: installing python2-nautilus (1.2.1-2) breaks dependency 'python-nautilus'

Solution:
Remove nautilus-admin and python2-nautilus by

sudo pacman -Rs nautilus-admin

and then install nautilus-admin again.


#3

Please check those posts and this pull request.


#4

After three reboots all is fine - before that bluetooth was acting up (reconnecting my mouse like mad, and when it finally stayed connected the cursor was sluggish like its dragged through syrup)


#5

Adding some more packages to this …

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community x86_64:  1 new and 1 removed package(s)
 - testing core x86_64:  2 new and 2 removed package(s)
 - testing extra x86_64:  10 new and 10 removed package(s)

:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
              vertex-maia-icon-theme           20180115-1           20180118-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
                      linux415 4.15.r180114.ga8750dd-1 4.15.r180118.gdda3e15-1
              linux415-headers 4.15.r180114.ga8750dd-1 4.15.r180118.gdda3e15-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-15           2018-01-18
-------------------------------------------------------------------------------
                  linux415-acpi_call           1.1.0-0.11           1.1.0-0.12
                   linux415-bbswitch             0.8-0.11             0.8-0.12
                   linux415-catalyst   1:15.201.1151-0.11   1:15.201.1151-0.12
                     linux415-nvidia       1:384.111-0.11       1:384.111-0.12
               linux415-nvidia-304xx       1:304.137-0.11       1:304.137-0.12
               linux415-nvidia-340xx         340.104-0.11         340.104-0.12
                   linux415-nvidiabl            0.88-0.11            0.88-0.12
                linux415-vhba-module        20161009-0.11        20161009-0.12
   linux415-virtualbox-guest-modules           5.2.4-0.11           5.2.6-0.12
    linux415-virtualbox-host-modules           5.2.4-0.11           5.2.6-0.12

#6

Is testing more changing than unstable? I see more testing announcements than unstable!..


#7

Unstable gets synced with Arch Stable updates daily, no need for daily announcements. Only big unstable updates tend to get announcement threads, think of it as a call to unstable testers before being moved to testing branch for larger changes.


#8

So only important updates are shown as announcements of unstable.


#9

Now you’re taking. :+1:
now_youre_takin

Nothing else to report for now. Using XFCE, kernel 4.9 and kernel-alive.


#10

Anything that @philm thinks requires some testing in unstable before he’s comfortable moving to testing, but just my observation here.


#11

be careful with Net & Eth
there is major update about ( with 4.14.14 and 4.9.77 )
e1000e(i217-219-V or LM) iwlfiwi net & ethtool phylink and 8201q & cgroup

please check if you can eth & wifi ( also spitfire )


#12

I am using an ethernet controller using e1000e driver and an Wi-Fi card using ath9k driver.

I can access to my local network and to the internet with both.

[awesome@i56400 ~]$ inxi -N
Resuming in non X mode: xdpyinfo not found. For package install advice run: inxi --recommends
Network:   Card-1: Intel Ethernet Connection (2) I219-V driver: e1000e
           Card-2: Qualcomm Atheros AR9287 Wireless Network Adapter (PCI-Express)
           driver: ath9k

#13

All good, and this bug is solved too:
https://bugs.kde.org/show_bug.cgi?id=387529
Thanks.


#14

Not yet any update for Virtualbox 5.2.6 ?


#15

philm

Installed on one workstation without problems. Dont know whether it will help but here is inxi for the platform

inxi -Fxzc0
Resuming in non X mode: xrandr not found. For package install advice run: inxi --recommends
System:    Host: OrphanedInode3 Kernel: 4.14.14-1-MANJARO x86_64
           bits: 64 gcc: 7.2.1
           Desktop: Xfce 4.12.4 (Gtk 2.24.31) Distro: Manjaro Linux
Machine:   Device: desktop System: ASUS product: All Series serial: N/A
           Mobo: ASUSTeK model: SABERTOOTH Z97 MARK 1/USB 3.1 v: Rev 1.xx serial: N/A
           UEFI [Legacy]: American Megatrends v: 2801 date: 11/11/2015
CPU:       Quad core Intel Core i7-4790 (-MT-MCP-)
           arch: Haswell rev.3 cache: 8192 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 28799
           clock speeds: max: 4000 MHz 1: 1999 MHz 2: 1999 MHz 3: 1998 MHz
           4: 1999 MHz 5: 1999 MHz 6: 1999 MHz 7: 1999 MHz 8: 1999 MHz
Graphics:  Card: NVIDIA GM107 [GeForce GTX 750 Ti] bus-ID: 02:00.0
           Display Server: N/A driver: nvidia tty size: 80x24
Audio:     Card-1 Intel 9 Series Family HD Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 NVIDIA Device 0fbc driver: snd_hda_intel bus-ID: 02:00.1
           Sound: Advanced Linux Sound Architecture v: k4.14.14-1-MANJARO
Network:   Card-1: Intel Ethernet Connection (2) I218-V
           driver: e1000e v: 3.2.6-k port: f040 bus-ID: 00:19.0
           IF: eno1 state: down mac: <filter>
           Card-2: Realtek RTL8111/8168/8411 PCIE Gigabit Ethernet Controller
           driver: r8168 v: 8.044.02-NAPI port: d000 bus-ID: 07:00.0
           IF: enp7s0 state: up speed: 100 Mbps duplex: half mac: <filter>
Drives:    HDD Total Size: 2000.4GB (2.8% used)
           ID-1: /dev/sda model: TOSHIBA_DT01ACA1 size: 1000.2GB
           ID-2: /dev/sdb model: TOSHIBA_DT01ACA1 size: 1000.2GB
Partition: ID-1: / size: 384G used: 52G (15%) fs: ext4 dev: /dev/sda1
Sensors:   System Temperatures: cpu: 29.8C mobo: 27.8C gpu: 0.0:27C
           Fan Speeds (in rpm): cpu: 0
Info:      Processes: 196 Uptime: 42 min Memory: 2037.5/15984.2MB
           Init: systemd Gcc sys: 7.2.1
           Client: Shell (bash 4.4.121) inxi: 2.3.56

There was a BIOS/UEFI update from Asus for the other (newer) platform but for this one so far nothing.
Regards and thanks to everyone for the hard work and dedication!

Expat


#16

Hopefully Oracle patches will arrive soon, haven’t even hit Arch testing yet.

https://www.archlinux.org/packages/?sort=-last_update&arch=x86_64&q=virtualbox&maintainer=&flagged=


#17

Arch updated to 5.2.6 16-1-2018


#18

I thought you meant update for 5.2.6, my misunderstanding.

Already in unstable.

$ pacman -Qi virtualbox
Name            : virtualbox
Version         : 5.2.6-1
Description     : Powerful x86 virtualization for enterprise as well as home use
Architecture    : x86_64
URL             : http://virtualbox.org

#19

And in testing. With this update in testing, I received version 5.2.6 of VirtualBox.


#20

Bah latest update to 4.15 broke zfs :wink:
I’ll have to wait for patches from zfs folks, again…

edit: hm, could it be that I compiled with gcc-trunk and zfs with gcc, strange as with 4.14 (same sitation) it works

edit2: ah yes --force-vermagic solved issue ;p